"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeToFile = void 0;
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
function writeToFile(basedir, filename, content) {
    // Ensure the directory exists
    const dirpath = path_1.default.join(basedir, filename.substring(0, filename.lastIndexOf("/")));
    fs_1.default.mkdirSync(dirpath, { recursive: true });
    const filepath = path_1.default.join(basedir, filename);
    fs_1.default.writeFileSync(filepath, content);
}
exports.writeToFile = writeToFile;
//# sourceMappingURL=utils.js.map